Subject: [pim] Re: PIM Snooping

From: Yakov Rekhter <[email-masked]>
Date: Wed, 30 Nov 2005 07:06:48 -0800

Eric,

> > Should we require disabling Join Suppression on CE's? 
> 
> Oh,  it's  worse than  that.   We'd  also have  to  prohibit  CEs from  ever
> implementing PIM refresh reduction (if such  a thing ever comes to be), from
> ever running PIM  over TCP (if such  a thing ever comes to  be), etc.  Well,
> it's a good thing the customer has bought an L2 service, to which all the L3
> protocols are transparent ;-)

It is just that some L3 protocols are more transparent than others :-)

On a more serious note the interaction with PIM refresh reduction
and/or running PIM over TCP applies not just to VPLS, but to any
ethernet switch that does PIM snooping. Therefore, while this is a
valid issue, it goes well beyond VPLS.

With this in mind I added PIM to the cc: list, as  I think that the
PIM WG would be more appropriate place to discuss the impact of PIM
refresh reduction and/or running PIM over TCP on ethernet switches
that do PIM snooping.
  
> And remember, it's  not just CEs that are "directly"  connected to PEs, it's
> all routers on a LAN which is bridged to a PE.  
> 
> > Should we NOT  require disabling Join Suppression on  CE's, thereby making
> the PE a more active element in PIM procedures in a VPLS? 
> 
> At  least the  PE would  only have  to understand  the  customer's multicast
> routing, it  wouldn't have to  understand anything really  complicated, like
> the customer's unicast routing ;-)
> 
> Maybe we should step back and look at what we're doing here. 

Yakov.

_______________________________________________
pim mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pim